Subject: The most beautiful Russian women are available here.

From: [email-masked]
Date: Thu, 11 Mar 2010 17:30:51 +0200

I want you now, tell me reciprocate and get me! http://violent48.spaces.live.com